Vue UI Components Documentation
Vue DateTimeInput Component
The DateTimeInput component for Vue enables the user to select a date or time using a popup calendar display or by keyboard input into the text field.
Prerequisites
Refer to Vue Getting Started before you start with this help topic.
Configuration
After you have created your App.vue file, here is how you should structure it:
The DateTimeInput component for Vue requires the following import:
import JqxDateTimeInput from "jqwidgets-scripts/jqwidgets-vue/vue_jqxdatetimeinput.vue";
Add the jqxDateTimeInput component to the components section of the the Vue class:
components: { JqxDateTimeInput },
Template
The App.vue has a <template>
structural tag where we determine the application structure.
There we will also set the tags for the new components - <JqxDateTimeInput/>
<template> <JqxDateTimeInput :width="width" :height="height" :selectionMode="selectionMode"> </JqxDateTimeInput></template>
Properties
The properties of the <JqxDateTimeInput/> component are defined in the data
member of the Vue class.
We should put them in the return object of the data function:
data: function () { return { width: 250, height: 25, selectionMode: 'range' }}
Events
The events in Vue are set as an attribute with @ prefix, for example:
<JqxDateTimeInput @change="onChange()" :width="width" :height="height" :selectionMode="selectionMode"></JqxDateTimeInput>
All events that are bound to a component are implemented in the methods
member of the Vue class.
methods: { onChange: function () { // Do something... }}
Methods
To use a component's method we should have its reference. In Vue we refer to a component by the special $refs
property.
Before that we need to add the desired name reference to that component:
<JqxDateTimeInput ref="datetimeinput"></JqxDateTimeInput>
Here how you can use a component's method:
this.$refs.datetimeinput.getDate();
methods: { // Add here all used callbacks and/or events onChange: function () { // Do something on filter let date = this.$refs.datetimeinput.getDate(); alert(date); }}
If we want to add additional methods we should also implement them in the methods
member.
In case we need to do some precalculation or something else before the components are rendered, we should use the beforeCreate
member.
It depends on the case.
If you have followed the above steps, you App.vue file would look like this:
App.vue:
<template> <JqxDateTimeInput ref="datetimeinput" @change="onChange()" :width="width" :height="height" :selectionMode="selectionMode"> </JqxDateTimeInput></template><script> // Import the components that will be used import JqxDateTimeInput from "jqwidgets-scripts/jqwidgets-vue/vue_jqxdatetimeinput.vue"; export default { components: { // Adding imported widgets here JqxDateTimeInput }, data: function () { // Define properties which will use in the widget return { width: 250, height: 25, selectionMode: 'range' } }, beforeCreate: function () { // Add here any data where you want to transform before components be rendered }, methods: { // Add here all used callbacks and/or events onChange: function () { // Do something on filter let date = this.$refs.datetimeinput.getDate(); alert(date); } } }</script> <style></style>
DateTimeInput Example
<template> <div> <JqxDateTimeInput style="float: left; margin-top: 3px" @valueChanged="onValueChanged($event)" @open="onOpen()" @close="onClose()" :width="270" :height="25"> </JqxDateTimeInput> <div style="margin-left: 20px; float: left"> <div> <span>Events:</span> <JqxPanel ref="myPanel" :width="300" :height="250"></JqxPanel> </div> </div> </div></template> <script> import JqxDateTimeInput from "jqwidgets-scripts/jqwidgets-vue/vue_jqxdatetimeinput.vue"; import JqxPanel from "jqwidgets-scripts/jqwidgets-vue/vue_jqxpanel.vue"; export default { components: { JqxDateTimeInput, JqxPanel }, mounted: function () { this.$refs.myPanel.$el.style.border = 'none'; }, methods: { onValueChanged: function (event) { this.$refs.myPanel.clearcontent(); let date = event.args.date; this.$refs.myPanel.prepend('<div style="margin-top: 5px;">New Value: ' + date + '</div>'); }, onOpen: function () { this.$refs.myPanel.prepend('<div style="margin-top: 5px;">Popup Opened</div>'); }, onClose: function () { this.$refs.myPanel.prepend('<div style="margin-top: 5px;">Popup Closed</div>'); } }, };</script> <style></style>

Angular DateTimeInput Component

The DateTimeInput component for Angular enables the user to select a date or time using a popup calendar display or by keyboard input into the text field.

1. Installation

The easiest way to get started with jQWidgets UI for Angular is to use the Angular CLI Tool. To scaffold your project structure, follow its installation instructions.

npm install -g @angular/cli
ng new jqwidgets-project
cd jqwidgets-project

Install jQWidgets

jQWidgets Angular UI comes packaged with Angular CLI schematics to make creating Angular applications easier. Schematics are included with both @angular/cdk and jqwidgets-ng. Once you install the npm packages, they will be available through the Angular CLI.

Angular CLI supports the addition of packages through the ng add command. The ng add command provides faster and more user-friendly package installation. To install the jQWidgets UI for Angular package, use ng add and add the name of the NPM package:

ng add jqwidgets-ng

Alternatively, you can use the standard installation (Manual Setup)

jQWidgets UI for Angular is distributed as jqwidgets-ng NPM package

  1. Download and install the package.
    npm install jqwidgets-ng
  2. Adding CSS reference

    The following CSS file is available in ../node_modules/jqwidgets-ng/ package folder. This can be referenced in [src/styles.css] using following code.

    @import 'jqwidgets-ng/jqwidgets/styles/jqx.base.css';

    Another way to achieve the same is to edit the angular.json file and in the styles add the style.

    "styles": [
    	"node_modules/jqwidgets-ng/jqwidgets/styles/jqx.base.css"
    ]
    

2. Add the HTML for jQWidgets component in src/app/app.component.html

app.component.html


<label>Date Input</label>
<jqxDateTimeInput [theme]="'fluent'" 
    [width]="300" [height]="25">
</jqxDateTimeInput>
<br />

<label>Time Input</label>
<jqxDateTimeInput [theme]="'fluent'" 
    [width]="300" [height]="30" [formatString]="'T'" [showTimeButton]="true" [showCalendarButton]="false">
</jqxDateTimeInput>
<br />

<label>Date Time Input</label>
<jqxDateTimeInput [theme]="'fluent'" 
    [width]="300" [height]="30" [formatString]="'F'" [showTimeButton]="true">
</jqxDateTimeInput>	

3. Setup Component Logic

app.component.ts


import { Component } from '@angular/core';

import { jqxDateTimeInputModule, jqxDateTimeInputComponent } from 'jqwidgets-ng/jqxdatetimeinput';
@Component({
    selector: 'app-root',
    imports: [jqxDateTimeInputModule],
    standalone: true,
    templateUrl: './app.component.html'
})

export class AppComponent {

}

Summary

jQWidgets UI for Angular provides an easy way to integrate robust UI components into your Angular project. By using either the ng add command or manual setup, you can quickly get started. Once the setup is complete, you can add the desired jQWidgets components and configure them in your Angular components to match your application requirements.

DateTimeInput API

API Reference of the jQWidgets DateTimeInput component for Angular: DateTimeInput API

React UI Components Documentation

ReactJS DateTimeInput Component

The DateTimeInput component for ReactJS that enables the user to select a date or time using a popup calendar display or by keyboard input into the text field.

Prerequisites

Refer to ReactJS Getting Started before you start with this help topic.

Configuration

The DateTimeInput component for ReactJS requires the following imports.

 
import React from 'react';
import ReactDOM from 'react-dom';
import JqxDateTimeInput from 'jqwidgets-react/react_jqxdatetimeinput.js';

Then we create our component class. Properties and methods are put as ReactJS props.

  
class App extends React.Component {
render () {
return (
<JqxDateTimeInput
width={300} height={40}
/>
)
}
}

Finally we render our class in the desired HTML element:

 
ReactDOM.render(<App />, document.getElementById('app'));

Events Methods & Properties

In order to bind to any event, change any property or call any method, we need a reference to the component.
For that we use the ReactJS "ref" Callback Attribute:

 
<JqxDateTimeInput ref='myDateTimeInput' width={300} height={40}..... />

Now, when we have a reference, we need to call the desired event/property/method.
This is done in the componentDidMount() ReactJS Component Lifecycle method.

Events

The change event is triggered when the value is changed.

The following example demonstrates how to add an event listener:

Methods & Properties

This is how you call methods & props:

Every component have a method setOptions which accepts a object as an argument. This object contains component settings.

Every component also have a method getOptions which returns a object containing the component settings.

DateTimeInput Examples

Overview

The following example demonstrates how to create a DateTimeInput component.

Disabled DateTimeInput

The following example demonstrates how to disable the DateTimeInput component.

DateTimeInput API

API Reference of the jQWidgets DateTimeInput component for React: DateTimeInput API